import { __awaiter } from "tslib";
import { GetIntegrationDocument } from "../integration-hub-queries/integration-query";
import { handleCatchError, processAsIntegrationHubErrorResponse, } from "../helpers";
export function getIntegration(urqlClient, vars) {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const response = yield gqlGetIntegration(urqlClient, vars);
            const integrationData = (_a = response.data) === null || _a === void 0 ? void 0 : _a.integration;
            if (integrationData !== null && integrationData !== undefined) {
                return {
                    success: true,
                    data: integrationData,
                };
            }
            return processAsIntegrationHubErrorResponse(response);
        }
        catch (err) {
            return {
                success: false,
                error: handleCatchError(err),
            };
        }
    });
}
function gqlGetIntegration(urqlClient, vars) {
    return __awaiter(this, void 0, void 0, function* () {
        return urqlClient.query(GetIntegrationDocument, vars).toPromise();
    });
}
